## r-cran-dimred 0.1.0

=== DESCRIPTION ===
Package: dimRed
Title: A Framework for Dimensionality Reduction
Version: 0.1.0
Authors@R: person("Guido", "Kraemer",
    email = "gkraemer@bgc-jena.mpg.de",
    role = c("aut", "cre"))
Description: A collection of dimensionality reduction
    techniques from R packages and provides a common
    interface for calling the methods.
Depends: R (>= 3.0.0), methods, DRR
Suggests: MASS, Matrix, RANN, RSpectra, Rtsne, coRanking, diffusionMap,
        energy, fastICA, ggplot2, graphics, igraph, kernlab, lle, loe,
        optimx, pcaPP, rgl, scales, scatterplot3d, stats, testthat,
        tidyr, vegan
License: GPL-3 | file LICENSE
URL: https://github.com/gdkrmr/dimRed
LazyData: true
Collate: 'misc.R' 'dimRedData-class.R' 'dataSets.R'
        'dimRedMethod-class.R' 'dimRedResult-class.R' 'diffmap.R'
        'dimRed.R' 'drr.R' 'embed.R' 'fastica.R' 'get_info.R'
        'graph_embed.R' 'hlle.R' 'isomap.R' 'kpca.R' 'leim.R' 'lle.R'
        'loe.R' 'mds.R' 'mixColorSpaces.R' 'nmds.R' 'pca.R' 'plot.R'
        'quality.R' 'rotate.R' 'soe.R' 'tsne.R'
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2017-05-04 14:56:00 UTC; gkraemer
Author: Guido Kraemer [aut, cre]
Maintainer: Guido Kraemer <gkraemer@bgc-jena.mpg.de>
Repository: CRAN
Date/Publication: 2017-05-04 15:37:41 UTC

=== debian/changelog ===
r-cran-dimred (0.1.0-2) unstable; urgency=medium

  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 21 Jun 2018 06:31:51 +0200

r-cran-dimred (0.1.0-1) unstable; urgency=medium

  * Initial release (closes: #883054)

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2017 09:20:46 +0100

=== debian/control ===
Source: r-cran-dimred
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-drr
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dimred
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dimred.git
Homepage: https://cran.r-project.org/package=dimRed

Package: r-cran-dimred
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R framework for dimensionality reduction
 A collection of dimensionality reduction
 techniques from R packages and provides a common
 interface for calling the methods.

## r-cran-dimred 0.2.2

=== DESCRIPTION ===
Package: dimRed
Title: A Framework for Dimensionality Reduction
Version: 0.2.2
Authors@R: c(
    person("Guido", "Kraemer",
           email = "gkraemer@bgc-jena.mpg.de",
           role = c("aut", "cre"))
    )
Description: A collection of dimensionality reduction
    techniques from R packages and a common
    interface for calling the methods.
Depends: R (>= 3.0.0), DRR
Imports: magrittr, methods
Suggests: NMF, MASS, Matrix, RANN, RSpectra, Rtsne, cccd, coRanking,
        diffusionMap, energy, fastICA, ggplot2, graphics, igraph,
        keras, kernlab, knitr, lle, loe, optimx, pcaL1, pcaPP,
        reticulate, rgl, scales, scatterplot3d, stats, tensorflow,
        testthat, tidyr, tinytex, umap, vegan
VignetteBuilder: knitr
License: GPL-3 | file LICENSE
URL: https://github.com/gdkrmr/dimRed
LazyData: true
Encoding: UTF-8
Collate: 'dimRedMethod-class.R' 'misc.R' 'dimRedData-class.R'
        'dimRedResult-class.R' 'autoencoder.R' 'dataSets.R' 'diffmap.R'
        'dimRed.R' 'drr.R' 'embed.R' 'fastica.R' 'get_info.R'
        'graph_embed.R' 'hlle.R' 'isomap.R' 'kpca.R' 'l1pca.R' 'leim.R'
        'lle.R' 'loe.R' 'mds.R' 'mixColorSpaces.R' 'nmds.R' 'nnmf.R'
        'pca.R' 'plot.R' 'quality.R' 'rotate.R' 'soe.R' 'tsne.R'
        'umap.R'
RoxygenNote: 6.1.0
NeedsCompilation: yes
Packaged: 2018-11-13 16:03:29 UTC; gkraemer
Author: Guido Kraemer [aut, cre]
Maintainer: Guido Kraemer <gkraemer@bgc-jena.mpg.de>
Repository: CRAN
Date/Publication: 2018-11-13 17:50:03 UTC

=== debian/changelog ===
r-cran-dimred (0.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.1

 -- Dylan Aïssi <daissi@debian.org>  Sun, 18 Nov 2018 18:11:17 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev,
-               r-cran-drr
-Standards-Version: 4.1.4
+               r-cran-drr,
+               r-cran-magrittr
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dimred
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dimred.git
 Homepage: https://cran.r-project.org/package=dimRed

## r-cran-dimred 0.2.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: dimRed
 Title: A Framework for Dimensionality Reduction
-Version: 0.2.2
+Version: 0.2.3
 Authors@R: c(
     person("Guido", "Kraemer",
            email = "gkraemer@bgc-jena.mpg.de",
@@ -28,10 +28,10 @@
         'lle.R' 'loe.R' 'mds.R' 'mixColorSpaces.R' 'nmds.R' 'nnmf.R'
         'pca.R' 'plot.R' 'quality.R' 'rotate.R' 'soe.R' 'tsne.R'
         'umap.R'
-RoxygenNote: 6.1.0
+RoxygenNote: 6.1.1
 NeedsCompilation: yes
-Packaged: 2018-11-13 16:03:29 UTC; gkraemer
+Packaged: 2019-05-07 15:41:40 UTC; gkraemer
 Author: Guido Kraemer [aut, cre]
 Maintainer: Guido Kraemer <gkraemer@bgc-jena.mpg.de>
 Repository: CRAN
-Date/Publication: 2018-11-13 17:50:03 UTC
+Date/Publication: 2019-05-08 08:10:07 UTC

=== debian/changelog ===
r-cran-dimred (0.2.3-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 02 Sep 2020 16:49:48 +0200

r-cran-dimred (0.2.3-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0
  * Exclude sufficient amount of autopkgtest to let it pass

 -- Andreas Tille <tille@debian.org>  Thu, 18 Jul 2019 15:10:57 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,18 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-drr,
                r-cran-magrittr
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dimred
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dimred.git
 Homepage: https://cran.r-project.org/package=dimRed
+Rules-Requires-Root: no
 
 Package: r-cran-dimred
 Architecture: any

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-fastica
Restrictions: allow-stderr

## r-cran-dimred 0.2.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: dimRed
 Title: A Framework for Dimensionality Reduction
-Version: 0.2.3
+Version: 0.2.4
 Authors@R: c(
     person("Guido", "Kraemer",
-           email = "gkraemer@bgc-jena.mpg.de",
+           email = "guido.kraemer@uni-leipzig.de",
            role = c("aut", "cre"))
     )
 Description: A collection of dimensionality reduction
@@ -18,8 +18,8 @@
         testthat, tidyr, tinytex, umap, vegan
 VignetteBuilder: knitr
 License: GPL-3 | file LICENSE
-URL: https://github.com/gdkrmr/dimRed
-LazyData: true
+BugReports: https://github.com/gdkrmr/dimRed/issues
+URL: https://www.guido-kraemer.com/software/dimred/
 Encoding: UTF-8
 Collate: 'dimRedMethod-class.R' 'misc.R' 'dimRedData-class.R'
         'dimRedResult-class.R' 'autoencoder.R' 'dataSets.R' 'diffmap.R'
@@ -28,10 +28,10 @@
         'lle.R' 'loe.R' 'mds.R' 'mixColorSpaces.R' 'nmds.R' 'nnmf.R'
         'pca.R' 'plot.R' 'quality.R' 'rotate.R' 'soe.R' 'tsne.R'
         'umap.R'
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.2
 NeedsCompilation: yes
-Packaged: 2019-05-07 15:41:40 UTC; gkraemer
+Packaged: 2021-12-05 20:26:06 UTC; gkraemer
 Author: Guido Kraemer [aut, cre]
-Maintainer: Guido Kraemer <gkraemer@bgc-jena.mpg.de>
+Maintainer: Guido Kraemer <guido.kraemer@uni-leipzig.de>
 Repository: CRAN
-Date/Publication: 2019-05-08 08:10:07 UTC
+Date/Publication: 2021-12-06 10:50:02 UTC

=== vignettes/Makefile ===
all:
	echo "BNET_BUILD_VIGNETTE: $(BNET_BUILD_VIGNETTE)"
	$(R_HOME)/bin/Rscript -e "knitr::knit2pdf('dimensionality-reduction.Rnw')"
	$(R_HOME)/bin/Rscript -e "tools::compactPDF('dimensionality-reduction.pdf', gs_quality = 'ebook')"
	rm -rf dimensionality-reduction.tex figure/ auto/

=== debian/changelog ===
r-cran-dimred (0.2.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 20 Dec 2021 14:17:50 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-drr,
                r-cran-magrittr
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dimred
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dimred.git
 Homepage: https://cran.r-project.org/package=dimRed

## r-cran-dimred 0.2.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: dimRed
 Title: A Framework for Dimensionality Reduction
-Version: 0.2.4
+Version: 0.2.6
 Authors@R: c(
     person("Guido", "Kraemer",
            email = "guido.kraemer@uni-leipzig.de",
@@ -13,9 +13,9 @@
 Imports: magrittr, methods
 Suggests: NMF, MASS, Matrix, RANN, RSpectra, Rtsne, cccd, coRanking,
         diffusionMap, energy, fastICA, ggplot2, graphics, igraph,
-        keras, kernlab, knitr, lle, loe, optimx, pcaL1, pcaPP,
-        reticulate, rgl, scales, scatterplot3d, stats, tensorflow,
-        testthat, tidyr, tinytex, umap, vegan
+        keras, kernlab, knitr, loe, optimx, pcaL1, pcaPP, reticulate,
+        rgl, scales, scatterplot3d, stats, tensorflow, testthat, tidyr,
+        tinytex, umap, vegan
 VignetteBuilder: knitr
 License: GPL-3 | file LICENSE
 BugReports: https://github.com/gdkrmr/dimRed/issues
@@ -28,10 +28,11 @@
         'lle.R' 'loe.R' 'mds.R' 'mixColorSpaces.R' 'nmds.R' 'nnmf.R'
         'pca.R' 'plot.R' 'quality.R' 'rotate.R' 'soe.R' 'tsne.R'
         'umap.R'
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.0
+Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2021-12-05 20:26:06 UTC; gkraemer
+Packaged: 2022-07-10 15:28:57 UTC; gkraemer
 Author: Guido Kraemer [aut, cre]
 Maintainer: Guido Kraemer <guido.kraemer@uni-leipzig.de>
 Repository: CRAN
-Date/Publication: 2021-12-06 10:50:02 UTC
+Date/Publication: 2022-07-11 12:40:06 UTC

=== vignettes/Makefile ===
all:
	echo "BNET_BUILD_VIGNETTE: $(BNET_BUILD_VIGNETTE)"
	echo "_R_CHECK_DEPENDS_ONLY_: " $(_R_CHECK_DEPENDS_ONLY_)
	if ! [ "$(_R_CHECK_DEPENDS_ONLY_)" = "true" ]; then \
		$(R_HOME)/bin/Rscript -e "knitr::knit2pdf('dimensionality-reduction.Rnw')"; \
		$(R_HOME)/bin/Rscript -e "tools::compactPDF('dimensionality-reduction.pdf', gs_quality = 'ebook')"; \
		rm -rf dimensionality-reduction.tex figure/ auto/; \
	fi

=== debian/changelog ===
r-cran-dimred (0.2.6-4) unstable; urgency=medium

  * Team upload.
  * Fix typo in autopkgtest run script.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 06 Aug 2024 12:33:44 +0200

r-cran-dimred (0.2.6-3) unstable; urgency=medium

  * Team upload.
  * autopkgtests: ignore test_NMMR on riscv64 as well
  * Standards-Version: 4.6.2 (routine-update)
  * d/control: put unmmanaged build dependency (architecture-is-64-bit)
    last, so that dh-update-R doesn't ignore the R build dependencies.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 04 Aug 2024 10:27:42 +0200

r-cran-dimred (0.2.6-2) unstable; urgency=medium

  * Team upload.
  * d/control: stop building for 32-bit architectures as upstream doesn't
    support them. Closes: #1074529

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 12 Jul 2024 12:02:03 +0200

r-cran-dimred (0.2.6-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 14 Jul 2022 09:08:59 +0200

r-cran-dimred (0.2.5-3) unstable; urgency=medium

  * Team upload
  * Also ignore test_NNMF on s390x

 -- Graham Inggs <ginggs@debian.org>  Sun, 22 May 2022 11:34:29 +0000

r-cran-dimred (0.2.5-2) unstable; urgency=medium

  * Team Upload.
  * Ignore test_NMMR on a arm and ppc

 -- Nilesh Patra <nilesh@debian.org>  Fri, 18 Mar 2022 22:05:29 +0530

r-cran-dimred (0.2.5-1) unstable; urgency=medium

  * New upstream version
  * Add Suggests from DESCRIPTION to Test-Depends
  * Exclude tests with missing dependencies

 -- Andreas Tille <tille@debian.org>  Wed, 16 Mar 2022 13:42:20 +0100

=== debian/control ===
Source: r-cran-dimred
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dimred
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dimred.git
Homepage: https://cran.r-project.org/package=dimRed
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-drr,
               r-cran-magrittr,
               architecture-is-64-bit
Testsuite: autopkgtest-pkg-r

Package: r-cran-dimred
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R framework for dimensionality reduction
 A collection of dimensionality reduction
 techniques from R packages and provides a common
 interface for calling the methods.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-nmf,
         r-cran-mass,
         r-cran-matrix,
         r-cran-rann,
         r-cran-rspectra,
         r-cran-rtsne,
#         r-cran-cccd,
#         r-cran-coranking,
#         r-cran-diffusionmap, # FIXME
         r-cran-energy,
         r-cran-fastica,
         r-cran-ggplot2,
#         r-cran-graphics,
         r-cran-igraph,
#         r-cran-keras,
         r-cran-kernlab,
         r-cran-knitr,
#         r-cran-lle,
#         r-cran-loe,
         r-cran-optimx,
#         r-cran-pcal1,
         r-cran-pcapp,
         r-cran-reticulate,
         r-cran-rgl,
         r-cran-scales,
         r-cran-scatterplot3d,
#         r-cran-stats,
#         r-cran-tensorflow,
         r-cran-testthat,
         r-cran-tidyr,
         r-cran-tinytex,
#         umap-learn, # FIXME: not in testing
         r-cran-vegan
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/dimRed_([-\d.]*)\.tar\.gz

## r-cran-dimred 0.2.7

=== DESCRIPTION ===
Package: dimRed
Title: A Framework for Dimensionality Reduction
Version: 0.2.7
Authors@R: c(
            person("Guido", "Kraemer", email = "guido.kraemer@uni-leipzig.de", role = c("aut","cre"),
              comment = c(ORCID = "0000-0003-4865-5041")
            )
           )
Description: A collection of dimensionality reduction
    techniques from R packages and a common
    interface for calling the methods.
Depends: R (>= 3.0.0), DRR
Imports: magrittr, methods
Suggests: NMF, MASS, Matrix, RANN, RSpectra, Rtsne, cccd, coRanking,
        diffusionMap, energy, fastICA, ggplot2, graphics, igraph,
        keras, kernlab, knitr, optimx, pcaL1, pcaPP, reticulate, rgl,
        scales, scatterplot3d, stats, tensorflow, testthat, tidyr,
        tinytex, umap, vegan
VignetteBuilder: knitr
License: GPL-3 | file LICENSE
BugReports: https://github.com/gdkrmr/dimRed/issues
URL: https://www.guido-kraemer.com/software/dimred/
Encoding: UTF-8
Collate: 'autoencoder.R' 'misc.R' 'dimRedData-class.R' 'dataSets.R'
        'dimRedMethod-class.R' 'dimRedResult-class.R' 'diffmap.R'
        'dimRed.R' 'drr.R' 'embed.R' 'fastica.R' 'get_info.R'
        'graph_embed.R' 'hlle.R' 'isomap.R' 'kpca.R' 'l1pca.R' 'leim.R'
        'lle.R' 'loe.R' 'mds.R' 'mixColorSpaces.R' 'nmds.R' 'nnmf.R'
        'pca.R' 'plot.R' 'quality.R' 'rotate.R' 'soe.R' 'tsne.R'
        'umap.R'
RoxygenNote: 7.3.2
Config/testthat/edition: 3
NeedsCompilation: yes
Packaged: 2025-04-22 16:49:13 UTC; gkraemer
Author: Guido Kraemer [aut, cre] (<https://orcid.org/0000-0003-4865-5041>)
Maintainer: Guido Kraemer <guido.kraemer@uni-leipzig.de>
Repository: CRAN
Date/Publication: 2025-04-23 15:00:02 UTC

=== debian/changelog ===
r-cran-dimred (0.2.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 18 Dec 2025 11:13:54 +0900

=== debian/control ===
Source: r-cran-dimred
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-drr,
               r-cran-magrittr,
               architecture-is-64-bit,
               architecture-is-little-endian
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dimred
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dimred.git
Homepage: https://cran.r-project.org/package=dimRed
Rules-Requires-Root: no

Package: r-cran-dimred
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R framework for dimensionality reduction
 A collection of dimensionality reduction
 techniques from R packages and provides a common
 interface for calling the methods.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-nmf,
        r-cran-mass,
        r-cran-matrix,
        r-cran-rann,
        r-cran-rspectra,
        r-cran-rtsne,
        r-cran-energy,
        r-cran-fastica,
        r-cran-ggplot2,
        r-cran-igraph,
        r-cran-kernlab,
        r-cran-knitr,
        r-cran-optimx,
        r-cran-pcapp,
        r-cran-reticulate,
        r-cran-rgl,
        r-cran-scales,
        r-cran-scatterplot3d,
        r-cran-testthat,
        r-cran-tidyr,
        r-cran-tinytex,
        r-cran-vegan
Restrictions: allow-stderr
